> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Access a file within an editing session



## OpenAPI

````yaml /api-reference/4.2/service-webapps-appkit.json get /webapps/type/appkit/configs/{id}/edits/{sessionId}/files/{file}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps-appkit
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps-appkit
paths:
  /webapps/type/appkit/configs/{id}/edits/{sessionId}/files/{file}:
    get:
      tags:
        - 4.2 Webapps Appkit API
      summary: Access a file within an editing session
      operationId: getFile
      parameters:
        - name: id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          description: Session ID
          required: true
          schema:
            type: string
        - name: file
          in: path
          description: File
          required: true
          schema:
            type: string
            pattern: .*
      responses:
        default:
          description: successful operation

````